Bug 107949 - lack of synchronization in com.arsdigita.kernel.SiteNode.getRootSiteNode()
lack of synchronization in com.arsdigita.kernel.SiteNode.getRootSiteNode()
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 100952 103600
  Show dependency treegraph
 
Reported: 2003-10-24 16:36 EDT by Nuno Santos
Modified: 2013-09-12 18:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 15:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Santos 2003-10-24 16:36:34 EDT
This was reported by a client, I haven't reproduced it. Checking the relevant
code, it's both in 5.2 and 6.0.

Quoting from the ticket:

The production and training systems have both seen circumstances where the link
to a document from search results and the content-center link on various cms
pages point to an incorrect url. 

The problem occurs in com.arsdigita.kernel.SiteNode.getRootSiteNode() and may be
related to these comments in that method:
       // cache the site node statically
       // note lack of synchronization.  worst case:
       // two different threads concurrently query for the root
       // site node and one gets garbage collected.  BFD.

The url fragment returned should be an empty string but is instead the string
"null". Once this is cached incorrectly, it persists on the site for an
indefinite amount of time.
Comment 1 Bob Jacoby 2003-12-01 16:10:28 EST
I'm the client being referred to. The version we're getting this on 
is 5.1. Sadly, we're not up to 5.2 yet. Also, the bug is sporadic 
(appears to be a timing issue) so providing a reproducible test case 
is problematic...

Note You need to log in before you can comment on or make changes to this bug.